Update of /cvsroot/fink/experimental/dmacks/finkinfo/gnome-2.28
In directory sfp-cvsdas-3.v30.ch3.sourceforge.com:/tmp/cvs-serv17326

Added Files:
        gtkglext1.info gtkglext1.patch 
Log Message:
update for new gnome


--- NEW FILE: gtkglext1.patch ---
diff -Nurd -x'*~' gtkglext-1.0.6.orig/configure.in gtkglext-1.0.6/configure.in
--- gtkglext-1.0.6.orig/configure.in    2004-03-10 04:47:37.000000000 -0500
+++ gtkglext-1.0.6/configure.in 2009-04-10 04:37:52.000000000 -0400
@@ -56,7 +56,7 @@
 m4_define([gmodule_required_version], [2.0.0])
 
 # Pango
-m4_define([pango_pkg], [pango])
+m4_define([pango_pkg], [pangox])
 m4_define([pango_required_version], [1.0.0])
 
 # PangoFT2
@@ -792,8 +792,8 @@
 GDKGLEXT_PACKAGES="gdk_pkg pango_pkg gmodule_pkg"
 GDKGLEXT_EXTRA_CFLAGS="$GL_CFLAGS $GDKGLEXT_WIN_CFLAGS"
 GDKGLEXT_EXTRA_LIBS="$GL_LIBS $GDKGLEXT_WIN_LIBS"
-GDKGLEXT_DEP_CFLAGS="$GDKGLEXT_EXTRA_CFLAGS `$PKG_CONFIG --cflags 
$GDKGLEXT_PACKAGES`"
-GDKGLEXT_DEP_LIBS="$GDKGLEXT_EXTRA_LIBS `$PKG_CONFIG --libs 
$GDKGLEXT_PACKAGES` $MATH_LIB"
+GDKGLEXT_DEP_CFLAGS="`$PKG_CONFIG --cflags $GDKGLEXT_PACKAGES` 
$GDKGLEXT_EXTRA_CFLAGS"
+GDKGLEXT_DEP_LIBS="`$PKG_CONFIG --libs $GDKGLEXT_PACKAGES` 
$GDKGLEXT_EXTRA_LIBS $MATH_LIB"
 AC_SUBST([GDKGLEXT_PACKAGES])
 AC_SUBST([GDKGLEXT_EXTRA_CFLAGS])
 AC_SUBST([GDKGLEXT_EXTRA_LIBS])
@@ -803,8 +803,8 @@
 GTKGLEXT_PACKAGES="gtk_pkg"
 GTKGLEXT_EXTRA_CFLAGS=""
 GTKGLEXT_EXTRA_LIBS=""
-GTKGLEXT_DEP_CFLAGS="$GTKGLEXT_EXTRA_CFLAGS $GDKGLEXT_EXTRA_CFLAGS 
`$PKG_CONFIG --cflags $GDKGLEXT_PACKAGES $GTKGLEXT_PACKAGES`"
-GTKGLEXT_DEP_LIBS="$GTKGLEXT_EXTRA_LIBS $GDKGLEXT_EXTRA_LIBS `$PKG_CONFIG 
--libs $GDKGLEXT_PACKAGES $GTKGLEXT_PACKAGES` $MATH_LIB"
+GTKGLEXT_DEP_CFLAGS="`$PKG_CONFIG --cflags $GDKGLEXT_PACKAGES 
$GTKGLEXT_PACKAGES` $GTKGLEXT_EXTRA_CFLAGS $GDKGLEXT_EXTRA_CFLAGS"
+GTKGLEXT_DEP_LIBS="`$PKG_CONFIG --libs $GDKGLEXT_PACKAGES $GTKGLEXT_PACKAGES` 
$GTKGLEXT_EXTRA_LIBS $GDKGLEXT_EXTRA_LIBS $MATH_LIB"
 AC_SUBST([GTKGLEXT_PACKAGES])
 AC_SUBST([GTKGLEXT_EXTRA_CFLAGS])
 AC_SUBST([GTKGLEXT_EXTRA_LIBS])
diff -Nurd -x'*~' gtkglext-1.0.6.orig/docs/reference/gtkglext/Makefile.am 
gtkglext-1.0.6/docs/reference/gtkglext/Makefile.am
--- gtkglext-1.0.6.orig/docs/reference/gtkglext/Makefile.am     2003-07-29 
02:51:26.000000000 -0400
+++ gtkglext-1.0.6/docs/reference/gtkglext/Makefile.am  2009-04-22 
20:00:32.000000000 -0400
@@ -74,7 +74,8 @@
 
 GTKDOC_LIBS = \
        $(top_builddir)/gdk/$(gdkglext_targetlib)       \
-       $(top_builddir)/gtk/$(gtkglext_targetlib)
+       $(top_builddir)/gtk/$(gtkglext_targetlib)       \
+       $(LDFLAGS)
 
 GTKDOC_CC=$(LIBTOOL) --mode=compile $(CC)
 GTKDOC_LD=$(LIBTOOL) --mode=link $(CC)
diff -Nurd -x'*~' gtkglext-1.0.6.orig/gdk/x11/Makefile.am 
gtkglext-1.0.6/gdk/x11/Makefile.am
--- gtkglext-1.0.6.orig/gdk/x11/Makefile.am     2003-05-07 14:18:42.000000000 
-0400
+++ gtkglext-1.0.6/gdk/x11/Makefile.am  2009-04-11 13:31:01.000000000 -0400
@@ -15,7 +15,7 @@
        -DGDK_DISABLE_DEPRECATED        \
        -DGDK_PIXBUF_DISABLE_DEPRECATED
 
-LDADDS = \
+libgdkglext_x11_la_LIBADD = \
        $(GDKGLEXT_DEP_LIBS)
 
 gdkglext_x11_public_h_sources = \

--- NEW FILE: gtkglext1.info ---
Package: gtkglext1

# do not upgrade to 1.2.0...it breaks compatibility_version
# 
http://sourceforge.net/tracker/index.php?func=detail&aid=1760579&group_id=54333&atid=473434
Version: 1.0.6
Revision: 1012

Description: OpenGL Extension to GTK
DescDetail: <<
GtkGLExt provides additional GDK objects which support OpenGL
rendering in GTK, and GtkWidget API add-ons to make GTK+ widgets
OpenGL-capable.

As opposed to Jane Loff's GtkGLArea , it provides not an OpenGL
widget, but an additional GtkWidget API which enables the standard
(and custom) GTK+ widgets to render 3D scene using OpenGL.
<<
DescPort: <<
libgdkglext-x11 uses pango_x_font symbols, so link against pangox
(which also links against pango) not just pango

No such automake/libtool variable LIBADDS.

Make sure fink paths come before X11 paths.

Need to upgrade ancient libtool to avoid libjpeg linker bug.
<<
Homepage: http://gtkglext.sourceforge.net/
License: GPL/LGPL
Maintainer: Daniel Macks <dma...@netspace.org>
Depends: %n-shlibs (= %v-%r)
BuildDepends: <<
        atk1 (>= 1.28.0-1),
        autoconf2.6,
        automake1.11,
        cairo (>= 1.8.8-3),
        fink (>= 0.24.12-1),
        fink-package-precedence,
        fontconfig2-dev (>= 2.8.0-1),
        freetype219 (>= 2.3.12-1),
        glib2-dev (>= 2.22.0-1),
        glitz,
        gtk-doc (>= 1.13-5),
        gtk+2-dev (>= 2.18.0-1),
        libtool2,
        pango1-xft2-ft219-dev (>= 1.24.5-4),
        pixman (>= 0.16.0-1),
        pkgconfig (>= 0.23),
        x11-dev
<<
BuildDependsOnly: True
Source: mirror:sourceforge:gtkglext/gtkglext-%v.tar.bz2
Source-MD5: e347e028dfe98d69c5995f547108db77
PatchFile: %n.patch
PatchFile-MD5: 23f2046c1100b68c621826958e7a78cb
PatchScript: <<
        %{default_script}
        perl -pi -e 's/-version-info/-no-undefined -version-info/' */Makefile.am
<<
SetCPPFLAGS: -I%p/lib/fontconfig2/include
SetLDFLAGS: -L%p/lib/fontconfig2/lib 
-Wl,-dylib_file,/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
SetCFLAGS: -Os -pipe
ConfigureParams: --enable-dependency-tracking --disable-static 
PKG_CONFIG_PATH="%p/lib/glib-2.0/pkgconfig-strict:%p/lib/fontconfig2/lib/pkgconfig:$PKG_CONFIG_PATH"
 --enable-gtk-doc --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib
CompileScript: <<
        autoreconf -fi
        ./configure %c
        make
        fink-package-precedence --prohibit-bdep %n .
<<
DocFiles: AUTHORS COPYING COPYING.LIB ChangeLog ChangeLog.pre-1-0 INSTALL NEWS 
README gdk/glext/README:README.gdk-glext.headers TODO
SplitOff: <<
  Package: %N-shlibs
  Depends: <<
                atk1-shlibs (>= 1.28.0-1),
                cairo-shlibs (>= 1.8.8-3),
                fontconfig2-shlibs (>= 2.8.0-1),
                freetype219-shlibs (>= 2.3.12-1),
                glib2-shlibs (>= 2.22.0-1),
                gtk+2-shlibs (>= 2.18.0-1),
                pango1-xft2-ft219-shlibs (>= 1.24.5-4),
                x11
  <<
  Files: lib/libgdkglext-x11-1.0.*.dylib lib/libgtkglext-x11-1.0.*.dylib
  Shlibs: <<
    %p/lib/libgdkglext-x11-1.0.0.dylib 3.0.0 %n (>= 1.0.6-1)
    %p/lib/libgtkglext-x11-1.0.0.dylib 3.0.0 %n (>= 1.0.6-1)
  <<
  DocFiles: AUTHORS COPYING COPYING.LIB ChangeLog ChangeLog.pre-1-0 INSTALL 
NEWS README gdk/glext/README:README.gdk-glext.headers TODO
<<


------------------------------------------------------------------------------
Download Intel&#174; Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev
_______________________________________________
Fink-commits mailing list
Fink-commits@lists.sourceforge.net
http://news.gmane.org/gmane.os.apple.fink.cvs

Reply via email to